#
# spec file for package rubygem-concurrent-ruby
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-concurrent-ruby
Version:        1.2.3
Release:        1.2
%define mod_name concurrent-ruby
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            http://www.concurrent-ruby.com
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Modern concurrency tools for Ruby. Inspired by Erlang, Clojure,
License:        MIT

%description
Modern concurrency tools including agents, futures, promises, thread pools,
actors, supervisors, and more.
Inspired by Erlang, Clojure, Go, JavaScript, actors, and classic concurrency
patterns.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- ## Release v1.2.3 (16 Jan 2024)
  * See [the GitHub release](https://github.com/ruby-concurrency/concurrent-ruby/releases/tag/v1.2.3) for details.
* Thu Nov  2 2023 Dan Čermák <dan.cermak@posteo.net>
- 1.2.2:
  concurrent-ruby 1.2.2:
  * (#993) Fix arguments passed to `Concurrent::Map`'s `default_proc`.
  1.2.1:
  concurrent-ruby 1.2.1:
  * (#990) Add missing `require 'fiber'` for `FiberLocalVar`.
  * (#989) Optimize `Concurrent::Map#[]` on CRuby by letting the backing Hash handle the `default_proc`.
* Sun May 15 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.1.10
  * (#951) Set the Ruby compatibility version at 2.2
  * (#939, #933) The `caller_runs` fallback policy no longer blocks reads from the job queue by worker threads
  * (#938, #761, #652) You can now explicitly `prune_pool` a thread pool (Sylvain Joyeux)
  * (#937, #757, #670) We switched the Yahoo stock API for demos to Alpha Vantage (Gustavo Caso)
  * (#932, #931) We changed how `SafeTaskExecutor` handles local jump errors (Aaron Jensen)
  * (#927) You can use keyword arguments in your initialize when using `Async` (Matt Larraz)
  * (#926, #639) We removed timeout from `TimerTask` because it wasn't sound, and now it's a no-op with a warning (Jacob Atzen)
  * (#919) If you double-lock a re-entrant read-write lock, we promote to locked for writing (zp yuan)
  * (#915) `monotonic_time` now accepts an optional unit parameter, as Ruby's `clock_gettime` (Jean Boussier)
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.1.9
  see installed CHANGELOG.md
  [#]# Release v1.1.9 (5 Jun 2021)
  concurrent-ruby:
  * (#866) Child promise state not set to :pending immediately after #execute when parent has completed
  * (#905, #872) Fix RubyNonConcurrentPriorityQueue#delete method
  * (2df0337d) Make sure locks are not shared on shared when objects are dup/cloned
  * (#900, #906, #796, #847, #911) Fix Concurrent::Set tread-safety issues on CRuby
  * (#907) Add new ConcurrentMap backend for TruffleRuby
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.1.8
  see installed CHANGELOG.md
  [#]# Release v1.1.8 (20 January 2021)
  * (#885) Fix race condition in TVar for stale reads
  * (#884) RubyThreadLocalVar: Do not iterate over hash which might conflict with new pair addition
* Sat Aug 22 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.1.7
  * Update rake-compiler-dock to add 2.7 build
* Tue Mar  3 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.1.6
  [#]# Release v1.1.6, edge v0.6.0 (10 Feb 2020)
  concurrent-ruby:
  * (#841) Concurrent.disable_at_exit_handlers! is no longer needed and was deprecated.
  * (#841) AbstractExecutorService#auto_terminate= was deprecated and has no effect.
    Set :auto_terminate option instead when executor is initialized.
  [#]# Release v1.1.6.pre1, edge v0.6.0.pre1 (26 Jan 2020)
  concurrent-ruby:
  * (#828) Allow to name executors, the name is also used to name their threads
  * (#838) Implement #dup and #clone for structs
  * (#821) Safer finalizers for thread local variables
  * Documentation fixes
  * (#814) Use Ruby's Etc.nprocessors if available
  * (#812) Fix directory structure not to mess with packaging tools
  * (#840) Fix termination of pools on JRuby
  concurrent-ruby-edge:
  * Add WrappingExecutor (#830)
* Thu Mar 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.5
  see installed CHANGELOG.md
  [#]# Release v1.1.5, edge v0.5.0 (10 mar 2019)
  concurrent-ruby:
  * fix potential leak of context on JRuby and Java 7
  concurrent-ruby-edge:
  * Add finalized Concurrent::Cancellation
  * Add finalized Concurrent::Throttle
  * Add finalized Concurrent::Promises::Channel
  * Add new Concurrent::ErlangActor
* Wed Dec 19 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.4
  see installed CHANGELOG.md
  [#]# Release v1.1.4 (14 Dec 2018)
  * (#780) Remove java_alias of 'submit' method of Runnable to let executor service work on java 11
  * (#776) Fix NameError on defining a struct with a name which is already taken in an ancestor
* Mon Nov 12 2018 mschnitzer@suse.com
- updated to version 1.1.3
  * (#775) fix partial require of the gem (although not officially supported)
  [#] From version 1.1.2
  * (#773) more defensive 1.9.3 support
* Tue Nov  6 2018 mschnitzer@suse.com
- updated to version 1.1.1
  * (#768) add support for 1.9.3 back
  [#]# Release v1.1.0, edge v0.4.0 (31 OCt 2018) (yanked)
  * (#768) yanked because of issues with removed 1.9.3 support
  [#]# Release v1.1.0.pre2, edge v0.4.0.pre2 (18 Sep 2018)
  concurrent-ruby:
  * fixed documentation and README links
  * fix Set for TruffleRuby and Rubinius
  * use properly supported TruffleRuby APIs
  concurrent-ruby-edge:
  * add Promises.zip_futures_over_on
  [#]# Release v1.1.0.pre1, edge v0.4.0.pre1 (15 Aug 2018)
  concurrent-ruby:
  * requires at least Ruby 2.0
  * [Promises](http://ruby-concurrency.github.io/concurrent-ruby/1.1.0/Concurrent/Promises.html)
    are moved from `concurrent-ruby-edge` to `concurrent-ruby`
  * Add support for TruffleRuby
  * (#734) Fix Array/Hash/Set construction broken on TruffleRuby
  * AtomicReference fixed
  * CI stabilization
  * remove sharp dependency edge -> core
  * remove warnings
  * documentation updates
  * Exchanger is no longer documented as edge since it was already available in
    `concurrent-ruby`
  * (#644) Fix Map#each and #each_pair not returning enumerator outside of MRI
  * (#659) Edge promises fail during error handling
  * (#741) Raise on recursive Delay#value call
  * (#727) #717 fix global IO executor on JRuby
  * (#740) Drop support for CRuby 1.9, JRuby 1.7, Rubinius.
  * (#737) Move AtomicMarkableReference out of Edge
  * (#708) Prefer platform specific memory barriers
  * (#735) Fix wrong expected exception in channel spec assertion
  * (#729) Allow executor option in `Promise#then`
  * (#725) fix timeout check to use timeout_interval
  * (#719) update engine detection
  * (#660) Add specs for Promise#zip/Promise.zip ordering
  * (#654) Promise.zip execution changes
  * (#666) Add thread safe set implementation
  * (#651) #699 #to_s, #inspect should not output negative object IDs.
  * (#685) Avoid RSpec warnings about raise_error
  * (#680) Avoid RSpec monkey patching, persist spec results locally, use RSpec
    v3.7.0
  * (#665) Initialize the monitor for new subarrays on Rubinius
  * (#661) Fix error handling in edge promises
  concurrent-ruby-edge:
  * (#659) Edge promises fail during error handling
  * Edge files clearly separated in `lib-edge`
  * added ReInclude
* Mon Mar 13 2017 hvogel@suse.com
- Update to 1.0.5
  see installed CHANGELOG.md and
  https://github.com/ruby-concurrency/concurrent-ruby/releases/tag/v1.0.5
* Tue Dec 27 2016 coolo@suse.com
- updated to version 1.0.4
  see installed CHANGELOG.md
  [#]# Current Release v1.0.4 (27 Dec 2016)
  concurrent-ruby:
  * Nothing
  concurrent-ruby-edge:
  * New promises' API renamed, lots of improvements, edge bumped to 0.3.0
  * **Incompatible** with previous 0.2.3 version
  * see https://github.com/ruby-concurrency/concurrent-ruby/pull/522
  [#]# Release v1.0.3 (17 Dec 2016)
* Sun Dec 18 2016 coolo@suse.com
- updated to version 1.0.3
  see installed CHANGELOG.md
  * Trigger execution of flattened delayed futures
  * Avoid forking for processor_count if possible
  * Semaphore Mutex and JRuby parity
  * Adds Map#each as alias to Map#each_pair
  * Fix uninitialized instance variables
  * Make Fixnum, Bignum merger ready
  * Allows Promise#then to receive an executor
  * TimerSet now survives a fork
  * Reject promise on any exception
  * Allow ThreadLocalVar to be initialized with a block
  * Support Alpha with `Concurrent::processor_count`
  * Fixes format-security error when compiling ruby_193_compatible.h
  * Concurrent::Atom#swap fixed: reraise the exceptions from block
* Tue May  3 2016 coolo@suse.com
- updated to version 1.0.2
  see installed CHANGELOG.md
* Sun Feb 28 2016 coolo@suse.com
- updated to version 1.0.1
  see installed CHANGELOG.md
* Mon Dec  7 2015 kgronlund@suse.com
- initial package
